List assets

List assets in your organization that match the filters you provide.

Filter options

Use filters to narrow results.

  • AND: When you use different filter groups, the API returns assets that match all groups. For example, applying a status filter and an asset type filter will return assets that match both conditions.
  • OR: When you include multiple values in the same filter group, the API returns assets that match any value in that group. For example, applying two or more asset type filters will return assets from each of the asset type.

Sorting options

Sort results using supported sort fields. By default, assets are sorted by creation date (newest first).

Requirements

📘

If your organization uses site-based access for assets, the API only returns assets that the API token’s user can access through their site membership.

Body Params

The parameters for ListAssets

The parameters for ListAssets

string

OPTIONAL. The value of next_page_token from a previous response. If
specified, the API will return the next batch of results following the
previous list assets request.

int32

OPTIONAL. The number of assets to return. By default, each request
returns 50 assets. You can specify a page_size value between 1 to 100.

string

OPTIONAL. The key words to search for in your request.

asset_filters
array of objects

OPTIONAL. The array of asset filters to apply in your request. You can
apply multiple filters in a single request.

asset_filters
order_by
object

Describes the sorting options for the list assets endpoint. By default,
assets are sorted by creation date from the most recent to the least recent.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json